
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JDBC中操作Blob、Clob等对象 / iVAN</title>

    <meta name="description" content="JDBC中操作Blob、Clob等对象 很多网友都不知道JDBC中如何操作Blob.Clob等对象,其实这是不难的!操作这些对象就象操作其它String.int一样.不信!你就看下面的文章.下面的例子会带你首先创建包含Clob.Blob对象的数据库的表,然后写入这些对象,最后再读取并操作这些对象! 一.关于Derby www.open-open.com是这样介绍Derby的&quot;Apache Derby 是一种高质量的.纯 Java 的嵌入式关系数据库引擎,IBM 最近已将其捐献给开放源码社区.Derby 数据库基于文件系统,具 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JDBC中操作Blob、Clob等对象</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>很多网友都不知道JDBC中如何操作Blob、Clob等对象，其实这是不难的！操作这些对象就象操作其它String、int一样。不信！你就看下面的文章。下面的例子会带你首先创建包含Clob、Blob对象的数据库的表，然后写入这些对象，最后再读取并操作这些对象！</p>
<p>一、关于Derby</p>
<p>www.open-open.com是这样介绍Derby的“Apache Derby 是一种高质量的、纯 Java 的嵌入式关系数据库引擎，IBM 最近已将其捐献给开放源码社区。Derby 数据库基于文件系统，具有高度的可移植性，并且是轻量级的，这使得它非常便于发布。”据说它的源代码价值几十亿美元哦！我一般使用Derby，因为使用它可以很多其它开源数据库不能完成的操作，它是一个与JDBC标准完全兼容的数据库产品，再说它是IT界泰斗IBM的开源项目，能不去好好研究，多多学习吗？！</p>
<p>下载该软件你可以去www.open-open.com、www.sourceforge.net。下载下来后将其db-derby-10.XXXX-lib.zip解压放到一个目录下（看到了吧，基本都是jar文件，我放在c:\Derby目录中），同时让你的classpath中包含derby.jar文件，这样我们就可以在程序中使用该库了！</p>
<p>简单讲述path和classpath吧！设置path的目的是：当你使用java、javac、rmic命令时系统会到指定的path下查找这些.exe或.com文件然后执行它，我们要使用java中的这些工具，当然在path环境变量中要包含它们所在的目录了。classpath也差不多，当你在java中要调用其它已经有的类时，必须包含该类所在的目录，这样就可以调用了！例如在使用javac编译servlet时，sun提供的servlet的包必须在你的classpath中。</p>
<p>下面就开始我们的例子吧！</p>
<p>二、一个简单例子</p>
<p>本例中先创建一个包含Blob和Clob对象的数据库的表，然后向此表中写入Blob和Clob对象，最后再将这些数据库表中的数据读出并处理。其中使用了PreparedStatement对象、运用了一些和IO相关的知识。我们在此程序里使用了两种流的处理方式。下面是源代码：</p>
<p><code>import java.io.*;<br />
import java.sql.*;<br />
public class BlobClobExample {<br />
public static void main(String[] args) {<br />
try {<br />
String url = "jdbc:derby:clobberyclob;create=true";<br />
//Derby中的URL，后面是附加参数。表示数据库中没有此数据库时，会自动建一个<br />
//其它数据库提供商的产品可以查阅其手册<br />
Class.forName("org.apache.derby.jdbc.EmbeddedDriver").newInstance();<br />
//加载驱动。关于加载驱动的细节，请阅读本博客的《JDBC中驱动加载的过程分析（上）》<br />
//和《JDBC中驱动加载的过程分析（下）》<br />
//在数据库Mysql的驱动加载时也建议在Class.forName()后，继续调用newInstance()方法<br />
2<br />
//没有本质区别<br />
Connection conn = DriverManager.getConnection(url); //建立连接<br />
Statement s = conn.createStatement(); //创建Statement对象<br />
s.executeUpdate("drop table documents");<br />
//这句是为了避免再次创建表documents<br />
s.executeUpdate("CREATE TABLE documents(id INT, text CLOB(64 K) , photo Blob(1440 K))");<br />
//以上就是创建包含Clob和Blob对象的表的过程<br />
//和将一般的字段差不多，后面括号中代表该对象的大小，其语法为：<br />
// CLOB (length [{{K |M |G}]) 表示长度为K、M、G等，没有带表示比特<br />
conn.commit(); //提交操作<br />
//以下是将本地文件中，本程序的源文件加载为一个流，用于向数据库中写入Clob字段<br />
File file1 = new File("BlobClobExample.java");<br />
int len1 = (int) file1.length();<br />
InputStream fis1 = new java.io.FileInputStream(file1);<br />
//以下是将当前源代码目录的子目录“11”下的“1.JPG”文件加载为一个流，<br />
//用于后面向数据库中写入Blob字段<br />
File file2 = new File("c:\\11\\1.JPG");<br />
int len2 = (int) file2.length();<br />
InputStream fis2 = new FileInputStream(file2);<br />
//以上两个简单吧！！<br />
//创建一个PreparedStatement对象，用于批量插入内容<br />
//使用PreparedStatement对象可以节省，数据库编译SQL指令的时间，<br />
//因为在使用PreparedStatement对象时，该SQL语句是预先编译好了，<br />
//对于某些变化的参数使用占位符（Place Holder）代替<br />
//这对于以后将要执行多次的同一操作，该操作仅仅是参数不同，是极其有利<br />
//比如在网页上输入客户信息时，用户要填入的数据基本是一样的（你可以填也可以不填）<br />
//这时后台的数据库可以使用PreparedStatement对象，每次都是设置参数，执行操作<br />
PreparedStatement ps = conn.prepareStatement("INSERT INTO documents VALUES (?, ?,?)");<br />
ps.setInt(1, 250);<br />
ps.setAsciiStream(2, fis1, len1);<br />
ps.setBinaryStream(3,fis2,len2);<br />
//以上三步是设置占位符的数值<br />
ps.execute(); //执行操作<br />
//以上四步可以重复执行。PreparedStatement就是为了适用于此用途<br />
conn.commit();<br />
//以上完成了数据的写入<br />
//以下是数据的读出<br />
ResultSet rs = s.executeQuery("SELECT text , photo FROM documents WHERE id = 250");<br />
while (rs.next()) {<br />
Clob aclob = rs.getClob(1); //和提取一般对象一样<br />
InputStream is = rs.getAsciiStream(1); //特殊的，对于与得到Clob的流<br />
//这是得到Clob、Blob流的第一种方法<br />
3<br />
//以下是对流进行处理的过程。Clob本身是包含大字符的对象<br />
//顺其自然，以下是使用java IO中读取字符流的方法读取它<br />
BufferedReader br = new BufferedReader(new InputStreamReader(is));<br />
String line = null ;<br />
while(null != (line = br.readLine())){<br />
System.out.println(line); //将其输出至屏幕，实际你可以按照需要处理<br />
}<br />
is.close();<br />
java.sql.Blob ablob = rs.getBlob(2); //和操作其它基本类型的字段一样<br />
System.out.println(ablob.length()); //简单地操作Blob的实例<br />
//实际你可以使用Clob的API对其进行任何它允许的操作，请查API<br />
InputStream bis = ablob.getBinaryStream() ; //得到Blob实例的字节流<br />
//这是操作Clob、Blob等对象的第二种方法，也是最自然的用法<br />
OutputStream os = new FileOutputStream("11.jpg");<br />
//用于将数据库中的Blob存放到目前目录的“11.jpg”文件中<br />
int b = bis.read(); //以下就是象操作其它java字节流一样操作了<br />
while (b != -1 ) {<br />
os.write((char)b);<br />
b = bis.read();<br />
}<br />
os.flush();<br />
os.close();<br />
bis.close();<br />
}<br />
} catch (Exception e) {<br />
System.out.println("Error! "+e);<br />
}<br />
}<br />
}</code></p>
<p>简单吧！实际上写入Blob和Clob对象时一般只能使用PreparedStatement对象，一般使用其setXXXStream写入流。写就是这么简单！看完了，研究一下API吧！读出时一般通过getClob()、getBlob()方法，和其它提取基本数据类型字段的方法完全相同，接着你就可以得到此Clob、Blob实例的流了，有了流就可以象处理其它流一样处理这些流了！</p>
<p>简单吧！关键是一定要对基本流程了解！对其原来了解！对什么IO、net、Collections….基础知识必须精通！</p>
<p>运行的结果是本程序的源代码会存储在数据库中，同时会在屏幕上显式，源代码目录的子目录“11”下的1.jpg会存储到数据库中，同时也会在当前目录下有一个该文件的副本。（图片的相对位置一定要搞对哦！）</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-28 14:56:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/blob/" title="blob">blob</a>, <a href="https://www.iamivan.net/tag/preparedstatement/" title="preparedstatement">preparedstatement</a>, <a href="https://www.iamivan.net/tag/ssh%e5%a4%84%e7%90%86clob/" title="ssh处理clob">ssh处理clob</a>, <a href="https://www.iamivan.net/tag/clob/" title="clob">clob</a>, <a href="https://www.iamivan.net/tag/setasciistream/" title="setAsciiStream">setAsciiStream</a>, <a href="https://www.iamivan.net/tag/java-clob/" title="java clob">java clob</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JDBC中操作Blob、Clob等对象的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6WxNb.html" rel="bookmark">关于C&num;中操作EXCEL后&comma;关闭对象但EXCEL进程仍然存在的解决办法&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 自己之前一直被这个问题困扰,也在网上找了很多资料,大部分都是用杀死进程的方法来解决,个人觉得这个太影响代码美观了.今天偶然发现了解决办法.给大家共享一下.现象:我在C#中,需要从EXCEL导入或者导出数据,当导入导出结束后,使用excelApp.Quit()关闭EXCEL对象,但系统进程中仍然存在EXCEL进程.并没有关闭.原因:其实excelApp.Quit();方法是可以正确的释放EXCEL进程的,我们导入导出EXCEL时,普遍方法是代码后台处理,前台并隐藏EXCEL界面,也就是e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPRkZz.html" rel="bookmark">如何操作BLOB、CLOB、BFILE</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BFILE        二进制文件,存储在数据库外的操作系统文件,只读的.把此文件当二进制处理. BLOB        二进制大对象.存储在数据库里的大对象,一般是图像声音等文件. CLOB        字符型大对象.一般存储大数量文本信息.存储单字节,固定宽度的数据. NCLOB        字节字符大对象.存储单字节大块,多字节固定宽度,多字节变宽度数据 BFILE The BFILE data type enables access to binary file LOBs that			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEOeyp.html" rel="bookmark">Java从数据库中读取Blob对象图片并显示的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Java从数据库中读取Blob对象图片并显示的方法.分享给大家供大家参考.具体实现方法如下: 第一种方法: 大致方法就是,从数据库中读出Blob的流来,写到页面中去: 复制代码 代码如下: Connection conn = DBManager.getConnection();   String sql = &quot;SELECT picture FROM teacher WHERE id=1&quot;;   PreparedStatement ps = null;   ResultSe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmdVVp.html" rel="bookmark">Java的JDBC中Statement与CallableStatement对象实例&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JDBC Statement对象实例以下是利用以下三种查询以及打开和关闭说明的例子: boolean execute(String SQL) : 返回一个布尔值true,如果ResultSet对象可以被检索,否则返回false.使用这个方法来执行SQL DDL语句,或当需要使用真正的动态SQL. int executeUpdate(String SQL) : 返回受影响的SQL语句执行的行数.使用此方法来执行,而希望得到一些受影响的行的SQL语句 - 例如,INSERT,UPDATE或DELET			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyW92Pz.html" rel="bookmark">详解Java的JDBC中Statement与PreparedStatement对象&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一旦获得一个连接,我们可以与数据库进行交互.在JDBC Statement, CallableStatement 和 PreparedStatement 接口定义的方法和属性,使可以发送SQL或PL/SQL命令和从数据库接收数据. 它们还定义方法,帮助Java和数据库使用SQL数据类型之间转换数据的差异. 下表提供了每个接口的用途概要,了解决定使用哪个接口 Statement 对象: 创建Statement对象在可以使用Statement对象执行SQL语句,需要使用Connection对象的cr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpkJyjM.html" rel="bookmark">浅谈实际开发中数据源在JDBC中的应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据源 数据源在JDBC中的应用众所周知,JDBC(Java数据库连接)是Java2企业版的重要组成部分.它是基于SQL层的API.通过把SQL语句嵌入JDBC接口的方法中,用户可以通过Java程序执行几乎所有的数据库操作. JDBC只提供了接口,具体的类的实现要求数据库的设计者完成.通过生成这些接口的实例,即使对于不同的数据库,Java程序也可以正确地执行SQL调用.所以对于程序员来说,不必把注意力放在如何向数据库发送SQL指令,因为程序员需要了解和用到的只是JDBC的接口,只有在极少数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGdQEb.html" rel="bookmark">Oracle中提取和存储数据库对象的DDL</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|对象|数据|数据库     从对象(例如数据库表.索引.约束.触发器等)中提取DDL命令的普通方法涉及到的操作包括从这些对象中提取元数据(metadata),并把这些数据存储在内存中.尽管目前有很多脚本可以实现这样的功能,但是它们通常都是不完整的或者过时的.幸运的是,Oracle 9.2提供了一个实现这样的功能的API:DBMS_METADATA程序包. 在很多情况下,数据库中数据的维护操作要求我们提取多种对象(例如数据库表.索引.约束.触发器等)的DDL(Data Definit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVdNj4M.html" rel="bookmark">JDBC中的Statement和PreparedStatement的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以Oracle为例吧 Statement为一条Sql语句生成执行计划, 如果要执行两条sql语句select colume from table where colume=1; select colume from table where colume=2; 会生成两个执行计划 一千个查询就生成一千个执行计划! PreparedStatement用于使用绑定变量重用执行计划select colume from table where colume=:x; 通过set不同数据只需要生成一次执行计划			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qba0nz5.html" rel="bookmark">Python中操作列表之List&period;append&lpar;&rpar;方法的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了在Python中操作列表之List.append()方法的使用,是Python入门学习中的基础知识,需要的朋友可以参考下 append()方法追加传递obj到现有的列表. 语法 以下是append()方法的语法: ? 1 list.append(obj) 参数 obj -- 这是在列表中要追加的对象. 返回值 此方法不返回任何值,但更新现有的列表. 例子 下面的例子显示了append()方法的使用. ? 1 2 3 4 5 #!/usr/bin/python   aList			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2A4Qz.html" rel="bookmark" class="title">工具类网站首页的设计目标和设计框架</a>
					<div>
						文章描述:工具型网站首页的设计思考. 什么是工具型网站 我们先从 wikipedia 上了解三组概念: 工具:是指能够方便人们完成工作的器具. application:用来帮助用户完成某个单独的或是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAjKJp.html" rel="bookmark" class="title">学习CSS网页制作：z-index在IE中的迷惑</a>
					<div>
						css|网页 z-index属性简介 引用: z-index : auto | number auto: 默认值.number: 无单位的整数值,可为负数 . z-index值较大的元素将叠加在z-i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boDRDM.html" rel="bookmark" class="title">学会借助访客的力量 让你的访客为你的站点添砖加瓦</a>
					<div>
						对于绝大多数的草根站长来说日常的优化工作基本上都是自己来的,无论是内容还是外链都需要自己一步一个脚印的走,其中的辛酸我想作为草根站长的都能理解.然而,笔者认为再苦的媳妇总有一天也能熬成婆的,一旦当我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLyjAz.html" rel="bookmark" class="title">PHP简单防盗链</a>
					<div>
						防盗链 &lt;?php $ADMIN[defaulturl] = &quot;http://siyizhu.com/404.htm&quot;;//盗链返回的地址$okaysites = array ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaWlXp.html" rel="bookmark" class="title">SEO的成功绝不是一个点上的成功</a>
					<div>
						其实笔者一直强调SEO是一个非常综合的行业,做SEO最好要懂程序,各种语言,美工,网页设计,心理学,营销学,广告学,对行业的了解,产品的了解,各种不同的网络推广方法等等.当然一个人很难把这些东西都学会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKWP8p.html" rel="bookmark" class="title">ARM版Office 2013将会缺少部分功能</a>
					<div>
						微软的Windows 8系统很快就要正式上市了,届时将会有两个版本:一个版本是为X86构架CPU研发的Windows 8.另外一个是专为ARM芯片设备研发的Windows RT版本.我们暂且不说两款系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91vDdM.html" rel="bookmark" class="title">DES算法及其在VC&plus;&plus;6&period;0下的实现&lpar;下&rpar;</a>
					<div>
						在&lt;DES算法及其在VC++6.0下的实现(上)&gt;中主要介绍了DES算法的基本原理,下面让我们继续: 二．子密钥的生成 64比特的密钥生成16个48比特的子密钥.其生成过程见图: 子密钥生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOR7WM.html" rel="bookmark" class="title">数据库组件 Hxj&period;Data （八）（存储过程篇）</a>
					<div>
						上一节讲述的sql语句的执行,本节将讲述的是存储过程的执行. 执行存储过程是通过FromProc方法来完成的. 执行无参数存储过程如下: DbSession.Default.FromProc(&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjP6Ep.html" rel="bookmark" class="title">诊断Java代码&colon; Java编程中的断言和时态逻辑</a>
					<div>
						虽然传统断言可以增加对 Java 代码执行的检查次数,但有许多检查不能用它们来执行.弥补这一缺陷的方法是使用&quot;时态逻辑&quot;,它是一种用于描述程序状态如何随时间而更改的形式体系.在本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j8Y4b.html" rel="bookmark" class="title">PHP使用CURL实现多线程抓取网页</a>
					<div>
						  PHP 利用 Curl Functions 可以完成各种传送文件操作,比如模拟浏览器发送GET,POST请求等等,受限于php语言本身不支持多线程,所以开发爬虫程序效率并不高,这时候往往需 要借助 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PjA6M.html" rel="bookmark" class="title">jquery右下角自动弹出可关闭的广告层</a>
					<div>
						  jQuery实现右下角自动弹出可关闭的悬浮提示层特效.这种效果可以使用jQuery弹出层实现.有需要的小伙伴可以参考下. 右下角弹出层后,会在一定时间后自动隐藏. html代码: ? 1 2 3  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balGRmz.html" rel="bookmark" class="title">网络延长器是什么</a>
					<div>
						  就是能够把网络传输距离有效延长的设备.能够突破传统以太网传输距离100米以内的限制,可以将10BASE-TX的双绞线电信号延长到350米甚至更长.它将网络的传输距离的极限从铜线的100米扩展到数百 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywnQPz.html" rel="bookmark" class="title">如何快速建立选区的五个PS选择工具？</a>
					<div>
						  PS软件中有很多选择工具,如何挑选选择工具,取决于选择的对象,例如一个简单的对象香蕉或者非常复杂的对象头发等.这篇教程主要是针对初学者来编写的,主要讲解如何使用5种快速选择工具来建立有效的选区.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badOXQz.html" rel="bookmark" class="title">无线上网卡和无线网卡的区别是什么</a>
					<div>
						  无线上网卡和无线网卡有什么区别?是一个东西吗?相信这是很多无线上网新手地疑惑,尽管现在无线网卡设计上越来越方便灵活,但是不可避免的还是有很多人对其表示困惑,其实无线网卡和无线上网卡是完全不同的两样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxA78b.html" rel="bookmark" class="title">HTML文档设置标记</a>
					<div>
						格式标记 文本标记					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOloVxb.html" rel="bookmark" class="title">路由器访问列表的应用</a>
					<div>
						随着网络的不断发展,路由器在校园网中担当起了重要的角色.然而不少单位仅仅利用了它的一个基本功能--路由,实际上路由器还可以用来设置http://www.aliyun.com/zixun/aggrega ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7D3Az.html" rel="bookmark" class="title">hyper-v server 2012</a>
					<div>
						问题描述 hyper-v server 2012 新购dell R620服务器,内存96G,4*600G硬盘 RAID5,双CPU ,拟装hyper-v server 2012 R2,hyper-v  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE5B4p.html" rel="bookmark" class="title">关于ubuntu中mysqldump命令无法使用的问题</a>
					<div>
						问题描述 关于ubuntu中mysqldump命令无法使用的问题 在ubuntu下做了一个网站,想将本机的mysql数据导出,在网上搜到使用mysqldump命令, 但是我在shell中输入后显示:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKR8Nb.html" rel="bookmark" class="title">《嵌入式C编程：PIC单片机和C编程技术与应用》一1&period;8　时间</a>
					<div>
						本节书摘来自华章出版社&lt;嵌入式C编程:PIC单片机和C编程技术与应用&gt;一书中的第1章,第1.8节,作者 ［美］马克·西格斯蒙德(Mark Siegesmund),更多章节内容可以访问&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKK4Ob.html" rel="bookmark" class="title">SAP顾问未来就业前景如何</a>
					<div>
						问题描述 大家谈谈SAP顾问未来就业前景如何 解决方案 解决方案二:用友.金蝶等国内ERP用得很好,势必会影响SAP就业形势解决方案三:外企还是很迷信这个的.好好学吧一定要学学业务流程知识,这个在各种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq00yz.html" rel="bookmark" class="title">Objective-C中的语法糖</a>
					<div>
						写这篇博客源于一个疑问:&quot;WoK~, 这也行?!&quot;.刚接触OC不久,今天做深浅拷贝的测试,无意中把获取NSArray的值写成了用下标获取的方式.当时把注意力放在了深浅拷贝的内存地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeaK5b.html" rel="bookmark" class="title">c&plus;&plus;-请问大神们，，我用settextcolor改变复选框文字的颜色为什么改变不了呢？？这是我的代码</a>
					<div>
						问题描述 请问大神们,,我用settextcolor改变复选框文字的颜色为什么改变不了呢??这是我的代码 HBRUSH CCheckBoxChangeDlg::OnCtlColor(CDC* pDC, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmDxab.html" rel="bookmark" class="title">谁说互联网产品就一定会让大家赚得满盆金</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 关于移动互联网给予我们的震撼已经足 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGELleM.html" rel="bookmark" class="title">mysql mysqldump数据库备份与还原</a>
					<div>
						#mysqldump 数据库名 &gt;数据库备份名 #mysqldump -A -u用户名 -p密码 数据库名&gt;数据库备份名 #mysqldump -d -A --add-drop-table ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nZx7z.html" rel="bookmark" class="title">Linux-----diff命令</a>
					<div>
						Linux 基础命令――比较两个文件内容的不同 语法]: diff [参数] 文件1 文件2 [说明]: 本命令比较两个文本文件,将不同的行列出来 -b 将一串空格或TAB 转换成一个空格或TAB - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn3m8M.html" rel="bookmark" class="title">EROS平板准备出2代 可选ION2独立显卡和CULV双核</a>
					<div>
						记得去年曾和大家报道过一款EROS平板电脑,是一个网名叫做&quot;优游的翅膀&quot;设计的,来自东莞.有意思的是,他的模式 很特别,从模具设计到成品销售都只有一个人负责,并没有组成一个公司或者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Jnq3z.html" rel="bookmark" class="title">HttpContext&period;Current&period;Cache 过期时间</a>
					<div>
						原文:HttpContext.Current.Cache 过期时间 为了更快的读取数据,我们一般会把常用到的数据加载到Cache中 在.NET中,Cache的存在可以依赖多中方式,主要用到HttpCo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmGY4z.html" rel="bookmark" class="title">张军：加息周期的概念应该扔掉</a>
					<div>
						本报记者 王珏磊 实习生 赵淑菊 发自上海 时代周报:您认为此次加息,是否进入加息周期的开始? 张军:加息周期这个概念,我觉得应该扔掉.在前几次关于宏观经济的讨论当中,不断地出现&quot;加息周期& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj89E5p.html" rel="bookmark" class="title">java自带的工具Jstack截取进程中的堆栈信息&lowbar;java</a>
					<div>
						在Java软件的使用过程中,有时会莫名的出现奇怪的问题.而这些问题常常无法使用日志信息定位,这时我们就需要通过查看进程内部线程的堆栈调用关系来分析问题出在哪里. 举个例子,当我们在做某个操作时,莫名的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0YB7p.html" rel="bookmark" class="title">PHP mysql与mysqli事务使用说明</a>
					<div>
						mysqli封装了诸如事务等一些高级操作,同时封装了DB操作过程中的很多可用的方法. 应用比较多的地方是 mysqli的事务. 比如下面的示例:  代码如下 复制代码 $mysqli = new my ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
